<div class="modal-header">
    <button type="button" class="close" (click)="close()">
        &times;
      </button>
  <h4 class="modal-title">Quyền</h4>
</div>
<div id="PermissionsForm" class="modal-body">
  <form *ngIf="Form" [formGroup]="Form" (ngSubmit)="onSubmit()" novalidate>
    <div class="row">
      <div class="col-md-6">
        <custom-input [label]="'Tên quyền'">
          <input
            inputRef
            class="form-control"
            formControlName="name"
            type="text"
            [attr.disabled]="disabled ? '' : null"
          />
        </custom-input>
      </div>
      <div class="col-md-6">
        <custom-input [label]="'Mã quyền'">
          <input
            inputRef
            class="form-control"
            formControlName="code"
            type="text"
            [attr.disabled]="disabled ? '' : null"
          />
        </custom-input>
      </div>
      <div class="col-md-6">
        <custom-input [label]="'Mô tả'">
          <input
            inputRef
            class="form-control"
            formControlName="description"
            type="text"
            [attr.disabled]="disabled ? '' : null"
          />
        </custom-input>
      </div>
    </div>
    <div class="row">
      <div class="col-md-6">
        <div class="form-group form-group-sm">
          <label class="control-label small">Nhóm </label>
          <autocomplete-directive
            required
            inputRef
            [key]="'name'"
            [isdisabled]="disabled ? true : null"
            [custom_display_label]="['id', 'name','code']"
            [headers]="['ID nhóm', 'Tên', 'Mã']"
            formControlName="group_name"
            [items]="ListPermissionGroup"
            (type)="getPermissionsGroupList($event)"
            (selected)="_selectGroupPermisison($event);selectGroupPermisison=$event"
          >
          </autocomplete-directive>
        </div>
      </div>
      <div class="col-md-6 right">
        <div class="btn-group mt20">
          <span
            (click)="openGroupPopUpEdit(selectGroupPermisison)"
            class="button-ion button-ion-large glyphicon glyphicon-edit"
            title="Sửa"
          ></span>
          <span
            (click)="openPopUpCreateGroup()"
            class="button-ion button-ion-large icon-plus"
            style="color: green"
            title="Tạo mới nhóm"
          ></span>
        </div>
      </div>
    </div>
    <div class="form-group form-group-sm">
      <label>Trạng thái</label>
      <ui-switch class="toogle" formControlName="is_active"></ui-switch>
    </div>
  </form>
</div>
<div class="modal-footer text-right">
    <button type="button" class="btn btn-default" (click)="close()">
        Đóng
      </button>
  <button
    type="button"
    (click)="save()"
    class="btn btn-primary"
    [disabled]="disabled || Form.invalid"
  >
    {{ labelButtonSave }}
  </button>
</div>
